"""Build an ingestion manifest file"""

from .ingestion_manifest import (
    Parameters,
    IngestionManifest,
)


class IngestionManifestBuilder:
    """Uses supplied parameters to build ingestion manifest files
    for the various types of ingestion"""

    def __init__(self, parameters: Parameters):
        self.parameters = parameters

    def build(self) -> IngestionManifest:
        """
        Create the ingestion manifest indicated by the parameters.

        :return: the ingestion manifest constructed from the parameters
        """
        raise NotImplementedError
