#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import find_packages, setup

VERSION = open("ingest_envoy/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

requires = ["pycapo", "pex==2.1.41"]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Workspaces ingestion functionality bridge",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    tests_require=["pytest"],
    keywords=[],
    packages=find_packages(),
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["ingest_envoy = ingest_envoy.main:main"]},
)
