""" Test for the various types of EVLA ingestion manifests """
from pathlib import Path

import pytest

from ..ingest_envoy.ingestion_manifest import Parameters
from ..ingest_envoy.ingestion_manifest_builder import IngestionManifestBuilder
from apps.cli.executables.pexable.ingest_envoy.ingest_envoy.utilities import Telescope


@pytest.mark.skip("TODO: test_builds_evla_sdm_manifest")
def test_builds_evla_sdm_manifest():
    """
    Have we built a well-formed EVLA SDM ingestion manifest?

    :return:
    """
    parameters = Parameters(Telescope.EVLA, Path("/path/TODO"), None, None)
    manifest = IngestionManifestBuilder(parameters).build()
    assert manifest.input_group is not None
    assert manifest.output_group is not None
    assert len(manifest.science_products) > 0
    assert len(manifest.ancillary_products) > 0
    # TODO: tests for manifest parameters


@pytest.mark.skip("TODO: test_builds_evla_bdf_manifest")
def test_builds_evla_bdf_manifest():
    """
    Have we built a well-formed EVLA BDF ingestion manifest?

    :return:
    """
    raise NotImplementedError


@pytest.mark.skip("TODO: test_builds_evla_cal_manifest")
def test_builds_evla_cal_manifest():
    """
    Have we built a well-formed EVLA calibration ingestion manifest?

    :return:
    """
    raise NotImplementedError
