#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import find_packages, setup

VERSION = open("tmpdir_eraser/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

requires = ["sqlalchemy", "ssa-workspaces", "pycapo", "pex==2.1.41"]
setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Eraser for temporary directories created by workflow executions.",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=find_packages(),
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["tmpdir_eraser = tmpdir_eraser.tmpdir_eraser:main"]},
)
